//
//  Settings.xcconfig
//  RG Template Installer
//
//  Created by Christopher Corbell on 5/12/18.
//  Copyright © 2018 Red Giant LLC. All rights reserved.
//

RG_REPOS_DIR=../../../../..

// NOTE: do not remove leading space, it's for easy build-time token replacement
//SERIAL_LIB_SEARCH_PATHS = $(RG_REPOS_DIR)/lib/SerialLib $(RG_REPOS_DIR)/lib/reglib/osx
//SERIAL_LD_FLAGS = -lSerialCheckXCode -lRegDialogMac
//SERIAL_CFLAG = -DUSING_LEGACY_RGSERIAL=1
 FUSE_SETTING_CFLAG = -DFUSE_LICENSING_ENABLED=1

LIBRARY_SEARCH_PATHS = $(SERIAL_LIB_SEARCH_PATHS) $(RG_REPOS_DIR)/rglicensing/contrib/lib4cpp/lib

HEADER_SEARCH_PATHS = $(inherited) $(AE_SDKROOT)/Headers $(AE_SDKROOT)/Headers/SP $(AE_SDKROOT)/Util $(AE_SDKROOT)/Resources ../../../contrib/branding ../../../Common $(RG_REPOS_DIR)/lib/rglicensing $(RG_REPOS_DIR)/rglicensing/contrib/lib4cpp/include $(SERIAL_LIB_SEARCH_PATHS) .

OTHER_CFLAGS = -DTARGET_OS_MAC=1 -DPICOJSON_USE_RVALUE_REFERENCE=0 -DLOG4CPP_FIX_ERROR_COLLISION=1 $(FUSE_SETTING_CFLAG) $(SERIAL_CFLAG)
OTHER_LDFLAGS = $(SERIAL_LD_FLAGS)
